Loading...
Searching...
No Matches
Dune::greater_or_equal< current, threshold > Struct Template Reference
Common » Debug output

Greater or equal template test. More...

`#include <dune/common/debugstream.hh>`

## Static Public Attributes

static constexpr bool | value = (current >= threshold)

## Detailed Description

template<DebugLevel current, DebugLevel threshold>
struct Dune::greater_or_equal< current, threshold >

Greater or equal template test.

value is false if current is below the threshold, true otherwise

This is the default struct to control the activation policy of DebugStream and deactivates output below the threshold

The documentation for this struct was generated from the following file:

- debugstream.hh